CATAN(3)

NAME
catan, catanf, catanl - complex circular arc tangent

SYNOPSIS
libm
#include <complex.h>
double complex
catan(double complex z);
float complex
catanf(float complex z);
long double complex
catanl(long double complex z);

DESCRIPTION
The catan(), catanf() and catanl() functions compute the complex circular arc tangent of z.

If z = x + iy, then

    Re catan(z) = 1/2 * atan(2x / (1 - x^2 - y^2)) + k Pi.
    Im catan(z) = 1/4 * log((x^2 + (y + 1)^2) / (x^2 + (y - 1)^2)).

RETURN VALUES
The catan(), catanf() and catanl() functions return the complex circular arc tangent of z with unbounded imaginary part, and real part in the interval [-Pi/2, Pi/2].

SEE ALSO
cacos(3), casin(3)

STANDARDS
The catan(), catanf() and catanl() functions conform to isoC-99.